Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.rmi
Class MAFAgentSystem_RMIImpl_Stub

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteStub
                  |
                  +--com.ibm.maf.rmi.MAFAgentSystem_RMIImpl_Stub

All Implemented Interfaces:
  MAFAgentSystem_RMI, java.rmi.Remote, java.io.Serializable

public final class MAFAgentSystem_RMIImpl_Stub
extends java.rmi.server.RemoteStub
implements MAFAgentSystem_RMI, java.rmi.Remote

See Also:
  Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`MAFAgentSystem_RMIImpl_Stub(java.rmi.server.RemoteRef ref)`

Method Summary
`Name` | `create_agent(Name $param_Name_1, AgentProfile $param_AgentProfile_2, byte[] $param_arrayOf_byte_3, java.lang.String $param_String_4, java.lang.Object[] $param_arrayOf_Object_5, ClassName[] $param_arrayOf_ClassName_6, java.lang.String $param_String_7, MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_8)`
`byte[][]` | `fetch_class(ClassName[] $param_arrayOf_ClassName_1, java.lang.String $param_String_2, AgentProfile $param_AgentProfile_3)`
`java.lang.String` | `find_nearby_agent_system_of_profile(AgentProfile $param_AgentProfile_1)`
`AgentStatus` | `get_agent_status(Name $param_Name_1)`
`AgentSystemInfo` | `get_agent_system_info()`
`AuthInfo` | `get_authinfo(Name $param_Name_1)`
`MAFFinder` | `get_MAFFinder()`
`Name[]` | `list_all_agents_of_authority(byte[] $param_arrayOf_byte_1)`
`Name[]` | `list_all_agents()`
`java.lang.String[]` | `list_all_places()`
`void` | `receive_agent(Name $param_Name_1, AgentProfile $param_AgentProfile_2, byte[] $param_arrayOf_byte_3, java.lang.String $param_String_4, ClassName[] $param_arrayOf_ClassName_5, java.lang.String $param_String_6, MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_7)`
`long` | `receive_future_message(Name $param_Name_1, byte[] $param_arrayOf_byte_2, MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_3)`
`void` | `receive_future_reply(long $param_long_1, byte[] $param_arrayOf_byte_2)`
`byte[]` | `receive_message(Name $param_Name_1, byte[] $param_arrayOf_byte_2)` Messaging
`void` | `receive_oneway_message(Name $param_Name_1, byte[] $param_arrayOf_byte_2)`
`void` | `resume_agent(Name $param_Name_1)`
`byte[]` | `retract_agent(Name $param_Name_1)` Aglet Specific
`void` | `suspend_agent(Name $param_Name_1)`
`void` | `terminate_agent(Name $param_Name_1)`

Methods inherited from class java.rmi.server.RemoteStub
`setRef`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MAFAgentSystem_RMIImpl_Stub

    public MAFAgentSystem_RMIImpl_Stub(java.rmi.server.RemoteRef ref)

Method Detail

### create_agent

    public Name create_agent(Name $param_Name_1,
                             AgentProfile $param_AgentProfile_2,
                             byte[] $param_arrayOf_byte_3,
                             java.lang.String $param_String_4,
                             java.lang.Object[] $param_arrayOf_Object_5,
                             ClassName[] $param_arrayOf_ClassName_6,
                             java.lang.String $param_String_7,
                             MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_8)
                      throws java.rmi.RemoteException

  Specified by:
    `create_agent` in interface `MAFAgentSystem_RMI`

### fetch_class

    public byte[][] fetch_class(ClassName[] $param_arrayOf_ClassName_1,
                                java.lang.String $param_String_2,
                                AgentProfile $param_AgentProfile_3)
                         throws java.rmi.RemoteException

  Specified by:
    `fetch_class` in interface `MAFAgentSystem_RMI`

### find_nearby_agent_system_of_profile

    public java.lang.String find_nearby_agent_system_of_profile(AgentProfile $param_AgentProfile_1)
                                                         throws java.rmi.RemoteException

  Specified by:
    `find_nearby_agent_system_of_profile` in interface `MAFAgentSystem_RMI`

### get_agent_status

    public AgentStatus get_agent_status(Name $param_Name_1)
                                 throws java.rmi.RemoteException

  Specified by:
    `get_agent_status` in interface `MAFAgentSystem_RMI`

### get_agent_system_info

    public AgentSystemInfo get_agent_system_info()
                                          throws java.rmi.RemoteException

  Specified by:
    `get_agent_system_info` in interface `MAFAgentSystem_RMI`

### get_authinfo

    public AuthInfo get_authinfo(Name $param_Name_1)
                          throws java.rmi.RemoteException

  Specified by:
    `get_authinfo` in interface `MAFAgentSystem_RMI`

### get_MAFFinder

    public MAFFinder get_MAFFinder()
                            throws java.rmi.RemoteException

  Specified by:
    `get_MAFFinder` in interface `MAFAgentSystem_RMI`

### list_all_agents

    public Name[] list_all_agents()
                           throws java.rmi.RemoteException

  Specified by:
    `list_all_agents` in interface `MAFAgentSystem_RMI`

### list_all_agents_of_authority

    public Name[] list_all_agents_of_authority(byte[] $param_arrayOf_byte_1)
                                        throws java.rmi.RemoteException

  Specified by:
    `list_all_agents_of_authority` in interface `MAFAgentSystem_RMI`

### list_all_places

    public java.lang.String[] list_all_places()
                                       throws java.rmi.RemoteException

  Specified by:
    `list_all_places` in interface `MAFAgentSystem_RMI`

### receive_agent

    public void receive_agent(Name $param_Name_1,
                              AgentProfile $param_AgentProfile_2,
                              byte[] $param_arrayOf_byte_3,
                              java.lang.String $param_String_4,
                              ClassName[] $param_arrayOf_ClassName_5,
                              java.lang.String $param_String_6,
                              MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_7)
                       throws java.rmi.RemoteException

  Specified by:
    `receive_agent` in interface `MAFAgentSystem_RMI`

### receive_future_message

    public long receive_future_message(Name $param_Name_1,
                                       byte[] $param_arrayOf_byte_2,
                                       MAFAgentSystem_RMI $param_MAFAgentSystem_RMI_3)
                                throws java.rmi.RemoteException

  Specified by:
    `receive_future_message` in interface `MAFAgentSystem_RMI`

### receive_future_reply

    public void receive_future_reply(long $param_long_1,
                                     byte[] $param_arrayOf_byte_2)
                              throws java.rmi.RemoteException

  Specified by:
    `receive_future_reply` in interface `MAFAgentSystem_RMI`

### receive_message

    public byte[] receive_message(Name $param_Name_1,
                                  byte[] $param_arrayOf_byte_2)
                           throws java.rmi.RemoteException

  Description copied from interface: `MAFAgentSystem_RMI`
  Messaging
  Specified by:
    `receive_message` in interface `MAFAgentSystem_RMI`

### receive_oneway_message

    public void receive_oneway_message(Name $param_Name_1,
                                       byte[] $param_arrayOf_byte_2)
                                throws java.rmi.RemoteException

  Specified by:
    `receive_oneway_message` in interface `MAFAgentSystem_RMI`

### resume_agent

    public void resume_agent(Name $param_Name_1)
                      throws java.rmi.RemoteException

  Specified by:
    `resume_agent` in interface `MAFAgentSystem_RMI`

### retract_agent

    public byte[] retract_agent(Name $param_Name_1)
                         throws java.rmi.RemoteException

  Description copied from interface: `MAFAgentSystem_RMI`
  Aglet Specific
  Specified by:
    `retract_agent` in interface `MAFAgentSystem_RMI`

### suspend_agent

    public void suspend_agent(Name $param_Name_1)
                       throws java.rmi.RemoteException

  Specified by:
    `suspend_agent` in interface `MAFAgentSystem_RMI`

### terminate_agent

    public void terminate_agent(Name $param_Name_1)
                         throws java.rmi.RemoteException

  Specified by:
    `terminate_agent` in interface `MAFAgentSystem_RMI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD